fields

## Class DataRecord.VIFE

- java.lang.Object
- - fields.DataRecord.DataRecordHeaderBase
  - - fields.DataRecord.VIFE

- Enclosing class:
    DataRecord

      public class DataRecord.VIFE
      extends DataRecord.DataRecordHeaderBase

  Model for the WM-Bus VIFE.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `specialCode`

    - ### Fields inherited from class fields.DataRecord.DataRecordHeaderBase

      `extensionBit`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VIFE()`
    `VIFE(boolean extensionBit, java.lang.String specialCode)`
    `VIFE(java.lang.Byte b)`
    `VIFE(java.lang.String specialCode)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBits()`
    `java.lang.String` | `getSpecialCode()`
    `void` | `setSpecialCode(java.lang.String specialCode)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class fields.DataRecord.DataRecordHeaderBase

      `getByte, isExtensionBit, setExtensionBit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### specialCode

          private java.lang.String specialCode

  - ### Constructor Detail

    - #### VIFE

          public VIFE()

    - #### VIFE

          public VIFE(boolean extensionBit,
                      java.lang.String specialCode)

    - #### VIFE

          public VIFE(java.lang.Byte b)

    - #### VIFE

          public VIFE(java.lang.String specialCode)

  - ### Method Detail

    - #### getBits

          public java.lang.String getBits()

      Specified by:
        `getBits` in class `DataRecord.DataRecordHeaderBase`

    - #### getSpecialCode

          public java.lang.String getSpecialCode()

    - #### setSpecialCode

          public void setSpecialCode(java.lang.String specialCode)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `DataRecord.DataRecordHeaderBase`